header {
  position: fixed;
  z-index: 5;
  top: 0;
  left: 0;
  right: 0;
  display: block;

  &::before {
    content: "";
    position: absolute;
    right: 0;
    bottom: 2px;
    left: 0;
    z-index: 0;
    display: block;
    margin: auto;
    width: 90%;
    height: 10px;
    box-shadow: $headShadow;
  }
}

body:not(.loaded) {
  .head {
    &__logo {
      opacity: 0;
    }
    &__menu__item {
      opacity: 0;
    }
  }
}

.head {

  &__inner {
    position: relative;
    z-index: 1;
    display: flex;
    justify-content: space-between;
    align-items: center;
    width: 100%;
    padding: get-vw(30px) get-vw(60px);
    box-sizing: border-box;
    background: $white;

    @include between($mobile, $desktop-mac) {
      padding: get-vw(30px);
    }
    @include bellow($mobile) {
      padding: get-vw(15px, 820) get-vw(20px, 820);
    }
    @include bellow($android-landscape) {
      padding: get-vw(12px, 375) get-vw(18px, 375);
    }
  }

  &__logo {
    height: 40px;
    transition: opacity 0.5s ease 0.1s;

    @include between($mobile, $desktop-sm) {
      height: get-vw(28px, 1024);
    }
    @include between($android-landscape, $mobile) {
      height: get-vw(18px, 820);
    }
    @include bellow($android-landscape) {
      height: get-vw(24px, 375);
    }

    img {
      height: 100%;
      pointer-events: none;
    }
  }

  &__menu {
    position: relative;
    display: flex;
    margin-right: get-vw(-15px);

    @include bellow($android-landscape) {
      position: absolute;
      top: 100%;
      left: 0;
      width: 100%;
      margin: 0;
      opacity: 0;
      flex-direction: column;
      background: $white;
      padding: get-vw(10px, 375) get-vw(10px, 375) get-vw(20px, 375);
      transition: opacity 0.35s;
      pointer-events: none;
    }

    &__item {
      position: relative;
      display: block;
      z-index: 1;
      transition: opacity 0.5s ease;

      @include bellow($android-landscape) {
        margin-bottom: get-vw(10px, 375);

        &:last-child {
          margin-bottom: 0;
        }
      }

      &:nth-child(1) { transition-delay: 0.25s; }
      &:nth-child(2) { transition-delay: 0.3s; }
      &:nth-child(3) { transition-delay: 0.35s; }
      &:nth-child(4) { transition-delay: 0.4s; }
      &:nth-child(5) { transition-delay: 0.45s; }
      &:nth-child(6) { transition-delay: 0.5s; }

      &::before {
        content: "";
        position: absolute;
        right: 5px;
        bottom: 0;
        left: 0;
        display: block;
        height: 2px;
        background: #8e8e8e;
        transform: scaleX(0);
        transform-origin: 50% 100%;
        transition: transform 0.35s $cubic;

        @include bellow($android-landscape) {
          display: none;
        }
      }

      &:not(.active):hover {
        &::before {
          transform: scaleX(1);
        }

        a.head__menu__link {
          cursor: pointer;
          color: $textColor;
        }
      }

      &:hover {
        .head__menu__list {
          opacity: 1;
          transform: translate3d(0, 0, 0);
          pointer-events: all;
        }
      }

      &.active {
        &::before {
          transform: scaleX(1);
        }
      }
    }

    &__link {
      display: block;
      padding: get-vw(22px);
      font-weight: 400;
      font-size: 14px;
      line-height: 1.43;
      letter-spacing: 0.4em;
      text-transform: uppercase;
      color: $titleColor;
      transition: color 0.218s;
      cursor: default;

      @include between($desktop-sm, $desktop-mac) {
        padding: get-vw(15px, 1440);
        font-size: get-vw(12px, 1440);
      }
      @include between($mobile, $desktop-sm) {
        padding: get-vw(12px, 1024) get-vw(8px, 1024);
        font-size: get-vw(12px, 1024);
        letter-spacing: 0.18em;
      }
      @include between($android-landscape, $mobile) {
        padding: get-vw(12px, 820) get-vw(8px, 820);
        font-size: get-vw(12px, 820);
        letter-spacing: 0.15em;
      }
      @include bellow($android-landscape) {
        padding: get-vw(10px, 375) get-vw(18px, 375);
        font-size: get-vw(14px, 375);
      }
    }

  }

  &__burger {
    position: relative;
    display: none;
    width: get-vw(36px, 375);
    height: get-vw(36px, 375);
    font-size: 0;

    @include bellow($android-landscape) {
      display: block;
    }

    &::before,
    span::before,
    span::after {
      @include absCenter;

      content: "";
      width: get-vw(22px, 375);
      height: get-vw(2px, 375);
      background: $black;
    }

    &::before {
      transition: opacity 0.2s;
    }

    span::before {
      transform: translateY(get-vw(-6px, 375)) rotate(0deg);
      transition: transform 0.2s;
    }

    span::after {
      transform: translateY(get-vw(6px, 375)) rotate(0deg);
      transition: transform 0.2s;
    }

    &.is-open {
      &::before {
        opacity: 0;
      }
      span::before {
        transform: rotate(-45deg);
      }
      span::after {
        transform: rotate(45deg);
      }

      & ~ .head__menu {
        opacity: 1;
        pointer-events: all;
      }
    }
  }
}
